Name:           mup
Version:        6.1

Release:        4%{?dist}
Summary:        A music notation program that can also generate MIDI files
Group:          Applications/Multimedia
License:        Mup
URL:            http://www.arkkra.com

%define         versionnodot %(echo %{version} | tr -d ".")

Source0:        ftp://ftp.arkkra.com/pub/unix/mup%{versionnodot}src.tar.gz
Source1:        mupmate.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  glibc-devel
BuildRequires:  fltk-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXext-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXft-devel
BuildRequires:  desktop-file-utils

%description
Mup is a program for printing music. It takes an input file containing ordinary
(ASCII) text describing music, and produces PostScript output for printing the
musical score described by the input.

%prep
%setup -q

%build

# Preserve the timestamp of files that we copy from the Mup source tree
sed -i -e 's|cp |cp -p |' makefile

# Modify the location of filepaths to conform to Filesystem Hierarchy Standard
sed -i -e 's|LIBDIR = $(PREFIX)/lib/mup|LIBDIR = $(PREFIX)/share/mup|' makefile
sed -i -e 's|DOCDIR = $(PREFIX)/share/doc/packages/mup|DOCDIR = $(PREFIX)/share/doc/%{name}-%{version}|' makefile

# Fix location of the Mup documentation in Mupmate preferences
sed -i -e 's|/usr/share/doc/packages/mup|%{_docdir}/%{name}-%{version}|' mupmate/Preferences.C

make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}/%{_datadir}/applications
cp -p %{SOURCE1} %{buildroot}/%{_datadir}/applications/
desktop-file-validate %{buildroot}/%{_datadir}/applications/mupmate.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/README0 docs/uguide
%doc docs/license.txt docs/mupfeat.txt docs/overview.txt
%doc docs/*.html docs/*.mup docs/*.ps
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/mup
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Sat Mar 23 2013 Greg Bailey <gbailey@lxpro.com> 6.1-4
- Include mupmate.desktop as an actual source file

* Fri Feb 15 2013 Greg Bailey <gbailey@lxpro.com> 6.1-3
- Change license tag to "Mup"

* Mon Jan 28 2013 Greg Bailey <gbailey@lxpro.com> 6.1-2
- Adapt filepaths to Filesystem Hierarchy Standard
- Add Mupmate desktop file so it appears in the desktop menu
- Original Arkkra mup.spec changelog available in extras/mup.spec

* Sat Jan 26 2013 Brendan Jones <brendan.jones.it@gmail.com> 6.1-1
- Initial development

